You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

24 lines
611 B

From 57c3103a6907fecab002f6d20b0410ad9a1b9f94 Mon Sep 17 00:00:00 2001
From: Harald Hoyer <harald@redhat.com>
Date: Wed, 11 Oct 2017 15:28:20 +0200
Subject: [PATCH] dracut.sh: quote sync file argument
---
dracut.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dracut.sh b/dracut.sh
index 9df63cd7..62e53b73 100755
--- a/dracut.sh
+++ b/dracut.sh
@@ -1704,8 +1704,8 @@ else
exit 1
fi
-sync $outfile 2> /dev/null
-if [ $? -ne 0 ] ; then
+
+if ! sync "$outfile" 2> /dev/null; then
dinfo "dracut: sync operartion on newly created initramfs $outfile failed"
exit 1
fi